
Infrastructure - Task #1714

Story # 1713 (Closed): Updates to DataONE Types for 0.6.4 tag

Maximum length for identifiers

2011-08-24 20:35 - Dave Vieglais

Status: Closed Start date: 2011-08-24

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_schemas Estimated time: 0.00 hour

Target version: Sprint-2011.34-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

The Identifier type should reflect that the maximum length for an identifier in DataONE is 400 characters.

http://mule1.dataone.org/ArchitectureDocs-current/design/PIDs.html

History

#1 - 2011-08-25 00:54 - Dave Vieglais

Actually, later decision to make length max of 800 characters. See #577

#2 - 2011-08-25 19:12 - Matthew Jones

- Category set to d1_schemas

- Status changed from New to Closed

- Assignee set to Matthew Jones

- % Done changed from 0 to 100

Fixed by creating a maxLength restriction of 800 for the field in the 0.6.4 branch.
